Bug 438445 - Review Request: python-cjson - Fast JSON encoder/decoder for Python
Review Request: python-cjson - Fast JSON encoder/decoder for Python
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-20 18:04 EDT by Toshio Ernie Kuratomi
Modified: 2008-04-07 20:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 20:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2008-03-20 18:04:38 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-cjson.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-cjson-1.0.5-1.fc8.src.rpm
JSON stands for JavaScript Object Notation and is a text based lightweight
data exchange format which is easy for humans to read/write and for machines
to parse/generate. JSON is completely language independent and has multiple
implementations in most of the programming languages, making it ideal for
data exchange and storage.

The module is written in C and it is up to 250 times faster when compared to
the other python JSON implementations which are written directly in python.
This speed gain varies with the complexity of the data and the operation and
is the the range of 10-200 times for encoding operations and in the range of
100-250 times for decoding operations.
Comment 1 Tim Lauridsen 2008-03-25 05:42:29 EDT
rpmlint silent on rpm & srpm

Comment 2 Tim Lauridsen 2008-03-25 05:54:05 EDT
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
4d55b66ecdf0300313af9d030d9644a3 python-cjson-1.0.5.tar.gz
* summary and description fine
* correct buildroot
* %{?dist} is used
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86_64
* BuildRequires are proper
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* no config files
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* no locale data
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions fine
* %defattrs present ( %defattr(-, root, root, -))
* %clean present
* %doc files do not affect runtime

Comment 3 Tim Lauridsen 2008-03-25 05:58:40 EDT
UPS, missed something

BuildRequires:  python-setuptools-devel

should be added.
Comment 4 Toshio Ernie Kuratomi 2008-03-25 12:15:37 EDT
(In reply to comment #3)
> UPS, missed something
> BuildRequires:  python-setuptools-devel
> should be added.

This package only uses distutils in its setup.py, not setuptools.  Why is
setuptools-devel a necessary BuildRequires?
Comment 5 Tim Lauridsen 2008-03-25 12:30:57 EDT
My mistake, please ignore it. 
Comment 6 Toshio Ernie Kuratomi 2008-04-06 01:58:45 EDT
New Package CVS Request
Package Name: python-cjson
Short Description: Fast JSON encoder/decoder for Python
Owners: toshio
Branches: F-8 EL-5 devel
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-04-07 18:09:51 EDT
cvs done.
Comment 8 Toshio Ernie Kuratomi 2008-04-07 20:41:48 EDT
Packages committed and built.

Note You need to log in before you can comment on or make changes to this bug.